Bug 1652589

Summary: Incorrect pkg-config file
Product: [Fedora] Fedora Reporter: Suvayu <fatkasuvayu>
Component: re2Assignee: Denis Arnaud <denis.arnaud_fedora>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: denis.arnaud_fedora, fatkasuvayu
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-11-27 23:10:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Suvayu 2018-11-22 12:46:21 UTC
Description of problem:
pkg-config gives incorrect compiler and linker options due to incorrect directory in the .pc file.

Version-Release number of selected component (if applicable):
re2-20160401-7.fc29.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Try:
   $ pkg-config --cflags re2
   -I/usr/local/include 
   $ pkg-confpkgconf --libs re2
   -L/usr/local/lib -lre2 -pthreadig --libs re2
2. Where as the files are installed in the usual directories:
   $ ls /usr/include/re2
   filtered_re2.h  re2.h  set.h  stringpiece.h  variadic_function.h
   $ ls /usr/lib64/libre2.so*
   /usr/lib64/libre2.so  /usr/lib64/libre2.so.0  /usr/lib64/libre2.so.0.0.0
3. This is because prefix is defined as /usr/local, and libdir is defined as ${exec_prefix}/lib in /usr/lib64/pkgconfig/re2.pc

Actual results:

Expected results:
$ pkg-config --cflags re2
-pthread 
$ pkg-config --libs re2
-lre2 -pthread

Additional info:
prefix should be /usr, and libdir should be ${exec_prefix}/lib64

Comment 1 Denis Arnaud 2019-08-05 09:22:09 UTC
An upgrade has just been made to the latest RE2 version (2019-08-01). Package updates are:
* Fedora Rawhide (31): https://bodhi.fedoraproject.org/updates/FEDORA-2019-815f37e7fe
* Fedora 30: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a49097c021
* Fedora 29: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0f5dd9fe0d

If it does not solve the issue, a patch should be submitted upstream (https://github.com/google/re2).

Comment 2 Ben Cotton 2019-10-31 18:59:01 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 23:10:32 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.